unit MCM32;

{MCM32.PAS, Version 5.2.0, Delphi for Win32}

interface

const

  MCM_EOF            = -1;

  MCM_DEBUG_OFF      = 0;
  MCM_DEBUG_LOW      = 1;
  MCM_DEBUG_HIGH     = 2;

  MCM_GET_VERSION             = 100;
  MCM_GET_VERSION_1ST_PART    = 101;
  MCM_GET_VERSION_2ND_PART    = 102;
  MCM_GET_VERSION_3RD_PART    = 103;
  MCM_GET_BUILD               = 104;
  MCM_GET_RECIPIENT           = 110;
  MCM_GET_SUBJECT             = 111;
  MCM_GET_BODY                = 112;
  MCM_GET_FROM                = 113;
  MCM_GET_LETTER              = 114;
  MCM_GET_BAD_FILENAME        = 115;
  MCM_GET_SEE_VERSION         = 116;
  MCM_GET_LAST_RESPONSE       = 117;

  MCM_DISABLE_MUTEX_CLOSE     = 116;
  
  MCM_GET_CID                 = 120;
  MCM_GET_CUSTOMER_ID         = 120;
  MCM_GET_ALLOWED_CHANNELS    = 121;
  MCM_GET_ALLOWED_LIST_SIZE   = 122;
  MCM_GET_ALLOWED_SKIP_FILES  = 123;
  MCM_GET_ALLOWED_REPLY_FILES = 124;
  MCM_GET_EDITION             = 125;
  MCM_GET_REGISTRATION        = 126;
  MCM_SET_SMTP_PROTOCOL       = 127;

  MCM_GET_LETTER_LINE_NBR     = 201;
  MCM_GET_LETTER_CHAR_POS     = 202;
  MCM_GET_LETTER_LINES        = 203;
  MCM_GET_LETTER_MACROS       = 204;
  MCM_GET_LETTER_MACRO_LINE   = 205;
  
  MCM_GET_LIST_LINE_NBR       = 301;
  MCM_GET_MAX_LIST_SIZE       = 302;
  MCM_GET_LIST_LINES          = 303;
  MCM_GET_LIST_MACRO_COUNT    = 304;
  MCM_GET_LIST_DELIMITER      = 305;
  MCM_GET_LIST_ERROR_STRING   = 306;
  MCM_GET_SKIP_FILE_LIMIT     = 307;
  MCM_GET_REPLY_FILE_LIMIT    = 308;
  
  MCM_GET_MAX_CHANNELS        = 406;
  MCM_GET_CHANNEL_STATUS      = 407;
  MCM_GET_EMAIL_QUEUED_COUNT  = 408;
  MCM_GET_EMAIL_SENT_COUNT    = 409;
  MCM_GET_EMAIL_ERROR_COUNT   = 410;
  MCM_GET_SKIP_LINES          = 421;
  MCM_GET_TIME_STAMP          = 422;
  MCM_GET_LAST_EMAIL_SENT     = 423;
  MCM_GET_NBR_EMAILS_DELETED  = 424;
  
  MCM_SET_DEBUG_LEVEL         = 701;
  MCM_SET_MAX_CHANNELS        = 702;
  MCM_SET_DUPLICATE_DETECT    = 704;
  MCM_SET_CHANNEL_DIVISOR     = 705;
  MCM_SET_MACRO_DELIMITER     = 706;
  MCM_AUTO_LOAD_HEADER_FILE   = 707;
  MCM_ADD_BOUNCE_STRING       = 708;
  
  MCM_SET_FROM_ADDRESS        = 801;
  MCM_WRITE_TO_LOG            = 802;
  MCM_SET_CC_ADDRESS          = 804;
  MCM_SET_BCC_ADDRESS         = 805;
  MCM_ALLOW_EMPTY_FIELDS      = 806;
  MCM_SET_RCPT_TRACE_FILE     = 807;
  MCM_GET_FILE_LINE_COUNT     = 850;
  
  MCM_GET_BOUNCE_STRING       = 900;
  
  MCM_RESERVED                = 1000;

  {merge return codes}

  MCM_MERGE_INVALID_ADDRESS       = 1001;
  MCM_MERGE_DUPLICATE_ADDRESS     = 1002;
  MCM_MERGE_BRACKETS_NOT_ALLOWED  = 1003;
  MCM_MERGE_CANNOT_OPEN_ATTACH    = 1004;
  MCM_MERGE_UNKNOWN_CHARSET       = 1005;
  MCM_MERGE_EMPTY_MACRO_STRING    = 1006;
  MCM_MERGE_EMPTY_LIST_STRING     = 1007;

  {runtime statistics -- see mcmStatisics}

  MCM_STAT_TOTAL_RECIPIENTS       = 2001;
  MCM_STAT_BRACKETED_ADDRESSES    = 2002;
  MCM_STAT_INVALID_ADDRESSES      = 2003;
  MCM_STAT_DUPLICATE_ADDRESSES    = 2004;
  MCM_STAT_WITH_BAD_ATTACHMENT    = 2005;
  MCM_STAT_SKIPPED_ADDRESSES      = 2006;
  MCM_STAT_WITH_UNKNOWN_CHARSETS  = 2007;
  MCM_STAT_AVG_SEND_TIME          = 2008;
  MCM_STAT_AVG_CONNECT_TIME       = 2009;
  MCM_STAT_WITH_EMPTY_MACRO_STRING= 2010;
  MCM_STAT_WITH_EMPTY_LIST_STRING = 2011; 

  {deletion code masks -- see mcmReadReply}
  
  MCM_DELETE_BOUNCED              = 1;
  MCM_DELETE_MATCHED              = 2;
  MCM_DELETE_OTHER                = 4;
  
  {MCM reply codes (returned from mcmGetReply) }
  
  MCM_NO_MORE_EMAIL          =    0;
  MCM_EMAIL_MARKED_BOUNCED   =  999;
  MCM_EMAIL_MARKED_OTHER     = 1000;

  {SMTP authentication codes}
  
  SMTP_AUTHENTICATE_CRAM   = 1;
  SMTP_AUTHENTICATE_LOGIN  = 2;
  SMTP_AUTHENTICATE_PLAIN  = 4;

function mcmAttach(KeyCode,EditionCode,ChansWanted,DebugLevel:Integer;PathToMCM:PAnsiChar):Integer; stdcall;
function mcmComputeCRC(Buffer:PAnsiChar):Integer; stdcall;
function mcmGetError(ErrCode:Integer;Buffer:PAnsiChar;BufLen:Integer):Integer; stdcall;
function mcmGetInteger(ParmName:Integer):Integer; stdcall;
function mcmGetInteger2(ParmName:Integer;Selected:Integer):Integer; stdcall;
function mcmGetLetterMacro(LetterNumber:Integer;Buffer:PAnsiChar;BufSize:Integer):Integer; stdcall;
function mcmGetListMacro(ListNumber:Integer;Buffer:PAnsiChar;BufSize:Integer):Integer; stdcall;
function mcmGetString(ParmName:Integer;Buffer:PAnsiChar;BufSize:Integer):Integer; stdcall;
function mcmGetString2(ParmName,Selection:Integer;Buffer:PAnsiChar;BufSize:Integer):Integer; stdcall;
function mcmKillProgram(ProcessID:Integer;ExitCode:Integer):Integer; stdcall;
function mcmLoadString(StringKey:PAnsiChar;StringText:PAnsiChar):Integer; stdcall;
function mcmMergeNext():Integer; stdcall;
function mcmMergeText(MergeCode:Integer;Buffer:PAnsiChar;BufSize:Integer):Integer; stdcall;
function mcmOpenBounce(PathName:PAnsiChar):Integer; stdcall;
function mcmOpenHeader(HeaderPathName:PAnsiChar):Integer; stdcall;
function mcmOpenLetter(LetterPathName:PAnsiChar):Integer; stdcall;
function mcmOpenList(ListPathName:PAnsiChar):Integer; stdcall;
function mcmOpenReply(PathName:PAnsiChar;Text:PAnsiChar):Integer; stdcall;
function mcmOpenSkip(SkipPathName:PAnsiChar):Integer; stdcall;
function mcmPop3Close():Integer; stdcall;
function mcmPop3Connect(Server:PAnsiChar;Port:Integer;User,Pass:PAnsiChar):Integer; stdcall;
function mcmReadReply(SubjBuf:PAnsiChar;SubjLen:Integer;Flags:Integer):Integer; stdcall;
function mcmRelease():Integer; stdcall;
function mcmSearch(Search:PAnsiChar):Integer; stdcall;
function mcmSendMail():Integer; stdcall;
function mcmSetInteger(ParamName:Integer;ParamValue:Integer):Integer; stdcall;
function mcmSetProxySSL(ProxyCode,ProxyFlags:Integer;ProxyDir,ProxyCert,ProxyExe:PAnsiChar;ProxyPort:Integer):Integer; stdcall;
function mcmSetString(ParamName:Integer;ParamString:PAnsiChar):Integer; stdcall;
function mcmSleep(MilliSecs:Integer):Integer; stdcall;
function mcmSmtpClose():Integer; stdcall;
function mcmSmtpConnect(Server:PAnsiChar;Port:Integer;User,Pass,From:PAnsiChar;ReOpen,Delay:Integer):Integer; stdcall;
function mcmStartProgram(CmdLine:PAnsiChar):Integer; stdcall;
function mcmStatistics(ParmName:Integer):Integer; stdcall;
function mcmUtility(ParamName:Integer;ParamString:PAnsiChar):Integer; stdcall;
function mcmWriteToLog(Text:PAnsiChar):Integer; stdcall;
function mcmMakeStyled(PathName:PAnsiChar;FontFace:PAnsiChar;SizeCode:Integer;HtmlPtr:PAnsiChar;Flags:Integer):Integer; stdcall;

implementation

function mcmAttach; external 'MCM32.DLL';
function mcmComputeCRC; external 'MCM32.DLL';
function mcmGetError; external 'MCM32.DLL';
function mcmGetInteger; external 'MCM32.DLL';
function mcmGetInteger2; external 'MCM32.DLL';
function mcmGetLetterMacro; external 'MCM32.DLL';
function mcmGetListMacro; external 'MCM32.DLL';
function mcmGetString; external 'MCM32.DLL';
function mcmGetString2; external 'MCM32.DLL';
function mcmKillProgram; external 'MCM32.DLL';
function mcmLoadString; external 'MCM32.DLL';
function mcmMergeNext; external 'MCM32.DLL';
function mcmMergeText; external 'MCM32.DLL';
function mcmOpenBounce; external 'MCM32.DLL';
function mcmOpenHeader; external 'MCM32.DLL';
function mcmOpenLetter; external 'MCM32.DLL';
function mcmOpenList; external 'MCM32.DLL';
function mcmOpenReply; external 'MCM32.DLL';
function mcmOpenSkip; external 'MCM32.DLL';
function mcmPop3Close; external 'MCM32.DLL';
function mcmPop3Connect; external 'MCM32.DLL';
function mcmReadReply; external 'MCM32.DLL';
function mcmRelease; external 'MCM32.DLL';
function mcmSearch; external 'MCM32.DLL';
function mcmSendMail; external 'MCM32.DLL';
function mcmSetInteger; external 'MCM32.DLL';
function mcmSetProxySSL; external 'MCM32.DLL';
function mcmSetString; external 'MCM32.DLL';
function mcmSleep; external 'MCM32.DLL';
function mcmSmtpClose; external 'MCM32.DLL';
function mcmSmtpConnect; external 'MCM32.DLL';
function mcmStartProgram; external 'MCM64.DLL';
function mcmStatistics; external 'MCM32.DLL';
function mcmUtility; external 'MCM32.DLL';
function mcmWriteToLog; external 'MCM32.DLL';
function mcmMakeStyled; external 'MCM32.DLL';

end.

